# $Revision: 1.47 $, $Date: 2010/02/23 15:33:45 $
# TODO:
# - check docs folder for valuable files
#
%define		pname	IPython
Summary:	An enhanced Interactive Python shell
Summary(pl.UTF-8):	Interaktywna powłoka języka Python
Name:		ipython
Version:	0.10
Release:	1
License:	LGPL
Group:		Applications/Shells
Source0:	http://ipython.scipy.org/dist/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	dd10cd1b622c16c1afca2239fcc0dfdf
Patch0:		%{name}-import_path.patch
Patch1:		%{name}-upgrade.patch
URL:		http://ipython.scipy.org
BuildRequires:	pydoc
BuildRequires:	python-devel
BuildRequires:	python-devel-tools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-%{name} = %{version}-%{release}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPython is a free software project which tries to:

1. Provide an interactive interpreter superior to Python's default.
IPython has many features for object introspection, shell access, and
its own special command system for adding functionality when working
interactively.

2. Serve as an embeddable, ready to use interpreter for your own
programs. IPython can be started with a single call from inside
another program, providing access to the current namespace. This can
be very useful both for debugging purposes and for situations where a
blend of batch-processing and interactive exploration are needed.

3. Offer a flexible framework which can be used as the base
environment for other systems with Python as the underlying language.
Specifically scientific environments like Mathematica, IDL and Mathcad
inspired its design, but similar ideas can be useful in many fields.

This package contains IPython shell.

%description -l pl.UTF-8
IPython jest wolnym oprogramowaniem, którego celem jest:

1. Dostarczenie interaktywnej powłoki lepszej od standardowej
dostarczanej z językiem Python. IPython umożliwia badanie obiektów,
dostęp do powłoki oraz własny system poleceń, który umożliwia
rozszerzanie funkcjonalności podczas pracy interaktywnej.

2. Dostarczenie gotowego interpretera, który można dołączać do własnej
aplikacji. IPython może zostać uruchomiony za pomocą wywołania jednej
funkcji z poziomu innego programu umożliwiając jednocześnie dostęp do
aktualnej przestrzeni nazw tego programu. Może to być bardzo użyteczne
do celów takich jak śledzenie programu czy też sytuacji gdzie jest
wymagane połączenie przetwarzania wsadowego z interaktywną
introspekcją.

3. Dostarczenie szkieletu, który może zostać użyty jako podstawa
systemu, którego polecenia opierają się na zasadach języka Python.
Projekt został zainspirowany przez oprogramowanie naukowe takie jak
Mathematica, IDL oraz Mathcad, gdzie podobne idee mogą być realizowane
w wielu przypadkach.

Pakiet ten zawiera powłokę IPython.

%package -n python-ipython
Summary:	An enhanced Interactive Python shell modules
Summary(pl.UTF-8):	Moduły interaktywnej powłoki języka Python
Group:		Libraries/Python
%pyrequires_eq	python-devel-tools
%pyrequires_eq	pydoc

%description -n python-ipython
IPython is a free software project which tries to:

1. Provide an interactive interpreter superior to Python's default.
IPython has many features for object introspection, shell access, and
its own special command system for adding functionality when working
interactively.

2. Serve as an embeddable, ready to use interpreter for your own
programs. IPython can be started with a single call from inside
another program, providing access to the current namespace. This can
be very useful both for debugging purposes and for situations where a
blend of batch-processing and interactive exploration are needed.

3. Offer a flexible framework which can be used as the base
environment for other systems with Python as the underlying language.
Specifically scientific environments like Mathematica, IDL and Mathcad
inspired its design, but similar ideas can be useful in many fields.

This package contains IPython modules.

%description -n python-ipython -l pl.UTF-8
IPython jest wolnym oprogramowaniem, którego celem jest:

1. Dostarczenie interaktywnej powłoki lepszej od standardowej
dostarczanej z językiem Python. IPython umożliwia badanie obiektów,
dostęp do powłoki oraz własny system poleceń, który umożliwia
rozszerzanie funkcjonalności podczas pracy interaktywnej.

2. Dostarczenie gotowego interpretera, który można dołączać do własnej
aplikacji. IPython może zostać uruchomiony za pomocą wywołania jednej
funkcji z poziomu innego programu umożliwiając jednocześnie dostęp do
aktualnej przestrzeni nazw tego programu. Może to być bardzo użyteczne
do celów takich jak śledzenie programu czy też sytuacji gdzie jest
wymagane połączenie przetwarzania wsadowego z interaktywną
introspekcją.

3. Dostarczenie szkieletu, który może zostać użyty jako podstawa
systemu, którego polecenia opierają się na zasadach języka Python.
Projekt został zainspirowany przez oprogramowanie naukowe takie jak
Mathematica, IDL oraz Mathcad, gdzie podobne idee mogą być realizowane
w wielu przypadkach.

Pakiet ten zawiera moduły interaktywnej powłoki języka Python.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

%py_postclean
rm -rf $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n python-ipython
%defattr(644,root,root,755)
%doc README.txt docs/dist/*.pdf docs/dist/html
%{py_sitescriptdir}/%{pname}
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipython.spec,v $
Revision 1.47  2010/02/23 15:33:45  wrobell
- ver. 0.10

Revision 1.46  2008/12/26 02:24:04  adamg
- release 2; fix previous commit msg

Revision 1.45  2008/12/26 01:52:47  adamg
- release 1.9

Revision 1.44  2008/10/05 19:43:17  wiget
- updated to 0.9.1

Revision 1.43  2008/06/04 04:49:18  charles
- updated to 0.8.4
- BR: pydoc, python-devel-tools

Revision 1.42  2008-05-31 01:03:37  zbyniu
- up to 0.8.2

Revision 1.41  2007-10-28 21:50:12  twittner
- up to 0.8.1

Revision 1.40  2007/04/30 21:26:47  rotom
- up to 0.8.0

Revision 1.39  2007/03/04 17:35:30  wrobell
- ver. 0.7.3
- config file upgrade is possible thanks to patch 1

Revision 1.38  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.36  2006/10/25 18:26:51  glen
- strict internal deps; adapter

Revision 1.35  2006/09/26 22:46:17  wrobell
- rel. 3 to build with python 2.5 (final)

Revision 1.34  2006/08/28 09:15:09  wiget
- rel. 2 (rebuild with python 2.5)

Revision 1.33  2006/06/14 10:14:04  wrobell
- ver. 0.7.2

Revision 1.32  2006/01/26 15:55:17  wrobell
- ver. 0.7.1

Revision 1.31  2006/01/23 13:19:37  charles
- BR: rpm-pythonprov is back
- cleanup %install, BR: rpmbuild(macros) >= 1.219
- simplified %files

Revision 1.30  2006/01/23 12:30:06  wrobell
- ver. 0.7.0

Revision 1.29  2005/06/22 20:03:55  leafnode
- updated to 0.6.15

Revision 1.28  2005/05/07 12:23:19  wrobell
- ver. 0.6.13

Revision 1.27  2005/04/02 14:11:59  darekr
- killed duplicated dir

Revision 1.26  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.25  2004/12/24 21:43:31  arekm
- rel 2

Revision 1.24  2004/11/09 12:14:09  wrobell
- ver. 0.6.4

Revision 1.23  2004/11/03 22:30:08  paladine
- formatting

Revision 1.22  2004/09/01 11:09:39  wrobell
- ver. 0.6.3

Revision 1.21  2004/08/31 15:52:46  snurf
- typos / formatting / etc.

Revision 1.20  2004/07/28 08:03:14  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.19  2004/05/15 21:46:46  leafnode
- updated to 0.6.0

Revision 1.18  2004/04/07 10:05:21  wrobell
- python-ipython requires python-devel-tools due to pdb module
- rel. 3

Revision 1.17  2003/12/11 15:53:29  wrobell
- rel. 2 due to patch, which prevents importing modules from /usr/bin

Revision 1.16  2003/09/27 22:51:40  wrobell
- fixed requirements

Revision 1.15  2003/09/27 22:46:29  wrobell
- ver. 0.5.0

Revision 1.14  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:49:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/12/13 15:24:04  ankry
- adapterized

Revision 1.11  2002/11/27 21:10:39  juandon
- new %doc

Revision 1.10  2002/04/30 13:51:22  wrobell
- ver. 0.2.10, stb

Revision 1.9  2002/04/11 13:49:07  wrobell
- rel. 2, stb

Revision 1.8  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.7  2002/04/04 18:30:20  serek
- + requires.

Revision 1.6  2002/03/20 15:13:42  wrobell
- pl description fixes
- rel. 1
- stb

Revision 1.5  2002/03/20 02:14:41  wrobell
- content of UserConfig directory revised
- update todo to current situation
- rel. 0.4

Revision 1.4  2002/03/20 01:58:04  wrobell
- python-ipython package pl description
- adapterized
- rel. 0.3

Revision 1.3  2002/03/20 01:51:25  wrobell
- subpackage with modules
- pl description

Revision 1.2  2002/03/19 19:01:53  wrobell
- updated todo
- group changed to Applications/Shells

Revision 1.1  2002/03/19 18:58:11  wrobell
- based on happydoc.spec
